Glib::ValueBase Class Reference
Generic Values

`#include <glibmm/value.h>`

Inheritance diagram for Glib::ValueBase:
[legend]

## Public Member Functions

| ValueBase ()
| Initializes the GValue, but without a type. More...
| ValueBase (const ValueBase& other)
ValueBase& | operator= (const ValueBase& other)
| ~ValueBase ()
void | init (GType type)
| Setup the GValue for storing the specified type. More...
void | init (const GValue* value)
| Setup the GValue storing the type and value of the specified value. More...
void | reset ()
| Reset contents to the default value of its type. More...
GValue* | gobj ()
const GValue* | gobj () const

## Protected Attributes

GValue | gobject_

## Constructor & Destructor Documentation

Glib::ValueBase::ValueBase | ( |  | ) |

Initializes the GValue, but without a type.

You have to call init() before using the set(), get(), or reset() methods.

Glib::ValueBase::ValueBase | ( | const ValueBase& | other | ) |

Glib::ValueBase::~ValueBase | ( |  | ) |

## Member Function Documentation

GValue* Glib::ValueBase::gobj | ( |  | ) |

inline

const GValue* Glib::ValueBase::gobj | ( |  | ) | const

inline

void Glib::ValueBase::init | ( | GType | type | ) |

Setup the GValue for storing the specified type.

The contents will be initialized to the default value for this type. Note that init() should never be called twice.

init() is not implemented as constructor, to avoid the necessity to implement a forward constructor in each derived class.

Parameters

  type | The type that the Value should hold.

void Glib::ValueBase::init | ( | const GValue * | value | ) |

Setup the GValue storing the type and value of the specified value.

Note that init() should never be called twice.

init() is not implemented as constructor, to avoid the necessity to implement a forward constructor in each derived class.

Parameters

  value | The existing GValue.

ValueBase& Glib::ValueBase::operator= | ( | const ValueBase& | other | ) |

void Glib::ValueBase::reset | ( |  | ) |

Reset contents to the default value of its type.

## Member Data Documentation

GValue Glib::ValueBase::gobject_

protected